#
View Source Ash.Resource.Actions.Read (ash v2.6.31)

Represents a read action on a resource.

# Link to this section Summary

## Types

t()

## Functions

pagination_schema()
transform(read)

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Resource.Actions.Read{
      arguments: [Ash.Resource.Actions.Argument.t()],
      description: String.t() | nil,
      filter: any(),
      get?: nil | boolean(),
      get_by: nil | [atom()],
      manual: atom() | {atom(), Keyword.t()} | nil,
      metadata: [Ash.Resource.Actions.Metadata.t()],
      modify_query: nil | mfa(),
      name: atom(),
      pagination: any(),
      preparations: term(),
      primary?: boolean(),
      touches_resources: [atom()],
      transaction?: boolean(),
      type: :read
    }

# Link to this section Functions

Link to this function

# pagination_schema()

View Source
Link to this function

# transform(read)

View Source